BeeZyy API 1.0
Servers
| Description | URL |
|---|---|
| Prod server | https://api.beezyycashier.com |
Charge
POST /v1/charge/create
Description
Create charge
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
bearerAuth |
header | string | N/A | No | Authorization token is the 'Secret key' found in API settings. It is a Bearer token, t.i. it should be specified in the header value like this: `Authorization: Bearer {token value}` |
Request body
{
"amount": "10.03",
"currency": "USD",
"payment_method": "101",
"urls": {
"success": "https://example.com/success",
"fail": "https://example.com/fail",
"notification": "https://example.com/notification"
},
"reference": "3d7d949e-94fb-4b8b-bc32-7c7f46bcd638",
"client": "0c5a6987-ecfe-42a3-a23d-b1a51b56e79c",
"card": "146a3ab1-8eab-49a3-90b0-b82089b4d7a5",
"metadata": {
"key1": "value1",
"key2": "value2"
}
}
Schema of the request body
{
"required": [
"amount",
"currency",
"payment_method",
"reference",
"client",
"card",
"urls"
],
"properties": {
"amount": {
"description": "Amount",
"type": "number",
"example": "10.03"
},
"currency": {
"description": "Currency code ISO 4217",
"type": "string",
"example": "USD"
},
"payment_method": {
"description": "Payment method ID",
"type": "number",
"example": "101"
},
"urls": {
"description": "URLs",
"required": [
"success",
"fail",
"notification"
],
"properties": {
"success": {
"description": "Success URL",
"type": "string",
"example": "https://example.com/success"
},
"fail": {
"description": "Fail URL",
"type": "string",
"example": "https://example.com/fail"
},
"notification": {
"description": "Notification URL",
"type": "string",
"example": "https://example.com/notification"
}
},
"type": "object"
},
"reference": {
"description": "Reference",
"type": "string",
"example": "3d7d949e-94fb-4b8b-bc32-7c7f46bcd638"
},
"client": {
"description": "client ID",
"type": "string",
"example": "0c5a6987-ecfe-42a3-a23d-b1a51b56e79c"
},
"card": {
"description": "Card ID",
"type": "string",
"example": "146a3ab1-8eab-49a3-90b0-b82089b4d7a5"
},
"metadata": {
"description": "Metadata",
"properties": {
"key1": {
"type": "string",
"example": "value1"
},
"key2": {
"type": "string",
"example": "value2"
}
},
"type": "object"
}
},
"type": "object"
}
Responses
{
"data": {
"id": "10f3146f-f8e0-4f9a-b719-125fe814752a"
}
}
Schema of the response body
{
"properties": {
"data": {
"description": "The response data",
"type": "array",
"items": {}
}
},
"type": "object",
"example": {
"data": {
"id": "10f3146f-f8e0-4f9a-b719-125fe814752a"
}
}
}
{
"message": "Wrong data",
"data": []
}
Schema of the response body
{
"properties": {
"message": {
"description": "The error message",
"type": "string"
},
"data": {
"description": "The response data",
"type": "array",
"items": {}
}
},
"type": "object",
"example": {
"message": "Wrong data",
"data": []
}
}
Clients list
GET /v1/client/list
Description
Get clients list
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
bearerAuth |
header | string | N/A | No | Authorization token is the 'Secret key' found in API settings. It is a Bearer token, t.i. it should be specified in the header value like this: `Authorization: Bearer {token value}` |
email |
query | string | No | Client email | |
page |
query | number | No | Page |
Responses
{
"data": [
{
"id": "0c5a6987-ecfe-42a3-a23d-b1a51b56e79c",
"email": "[email protected]",
"name": "John Doe",
"ip": "192.168.1.1",
"country": "US",
"cards": [
{
"id": "146a3ab1-8eab-49a3-90b0-b82089b4d7a5",
"mask": "411111******1111",
"holder": "John Doe",
"default": "1",
"paymentMethods": [
{
"id": "11111",
"title": "BeezyyCashier (Sandbox)",
"countries": [],
"currencies": [
"USD",
"EUR",
"UAH"
]
}
]
}
]
},
{
"id": "c506f0df-3b6c-41c4-8a0c-130c6d2880d4",
"email": "[email protected]",
"name": "John Doe",
"ip": "192.168.1.2",
"country": "US",
"cards": [
{
"id": "1c1609dc-1f10-4e77-a426-76cd89655fdc",
"mask": "411111******1111",
"holder": "John Doe",
"default": "0",
"paymentMethods": [
{
"id": "11111",
"title": "BeezyyCashier (Sandbox)",
"countries": [],
"currencies": [
"USD",
"EUR",
"UAH"
]
}
]
}
]
}
]
}
Schema of the response body
{
"properties": {
"data": {
"description": "The response data",
"type": "array",
"items": {}
}
},
"type": "object",
"example": {
"data": [
{
"id": "0c5a6987-ecfe-42a3-a23d-b1a51b56e79c",
"email": "[email protected]",
"name": "John Doe",
"ip": "192.168.1.1",
"country": "US",
"cards": [
{
"id": "146a3ab1-8eab-49a3-90b0-b82089b4d7a5",
"mask": "411111******1111",
"holder": "John Doe",
"default": "1",
"paymentMethods": [
{
"id": "11111",
"title": "BeezyyCashier (Sandbox)",
"countries": [],
"currencies": [
"USD",
"EUR",
"UAH"
]
}
]
}
]
},
{
"id": "c506f0df-3b6c-41c4-8a0c-130c6d2880d4",
"email": "[email protected]",
"name": "John Doe",
"ip": "192.168.1.2",
"country": "US",
"cards": [
{
"id": "1c1609dc-1f10-4e77-a426-76cd89655fdc",
"mask": "411111******1111",
"holder": "John Doe",
"default": "0",
"paymentMethods": [
{
"id": "11111",
"title": "BeezyyCashier (Sandbox)",
"countries": [],
"currencies": [
"USD",
"EUR",
"UAH"
]
}
]
}
]
}
]
}
}
Payments
POST /v1/payment/create
Description
Create payment
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
bearerAuth |
header | string | N/A | No | Authorization token is the 'Secret key' found in API settings. It is a Bearer token, t.i. it should be specified in the header value like this: `Authorization: Bearer {token value}` |
Request body
{
"amount": "10.03",
"currency": "USD",
"payment_method": "101",
"save_card": "1",
"customer": {
"email": "[email protected]",
"name": "John Doe",
"ip": "192.168.1.1",
"browser_details": {
"browser_accept_header": "text/html",
"browser_color_depth": "24",
"browser_language": "en",
"browser_screen_height": "1080",
"browser_screen_width": "1920",
"browser_timezone": "-180",
"browser_user_agent": "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/106.0.0.0 Safari/537.36",
"browser_java_enabled": "true",
"window_height": "1080",
"window_width": "1920"
}
},
"urls": {
"success": "https://example.com/success",
"fail": "https://example.com/fail",
"notification": "https://example.com/notification"
},
"reference": "3d7d949e-94fb-4b8b-bc32-7c7f46bcd638",
"card": {
"holder": "John Doe",
"number": "4242424242424242",
"expiration": "12/29",
"cvv": "123"
},
"metadata": {
"key1": "value1",
"key2": "value2"
}
}
Schema of the request body
{
"required": [
"amount",
"currency",
"payment_method",
"reference"
],
"properties": {
"amount": {
"description": "Amount",
"type": "number",
"example": "10.03"
},
"currency": {
"description": "Currency code ISO 4217",
"type": "string",
"example": "USD"
},
"payment_method": {
"description": "Payment method ID",
"type": "number",
"example": "101"
},
"save_card": {
"description": "Customer agree with save his card/payment data and recurring payments",
"type": "number",
"example": "1"
},
"customer": {
"description": "Customer data",
"required": [
"email",
"name",
"ip"
],
"properties": {
"email": {
"description": "Email",
"type": "string",
"example": "[email protected]"
},
"name": {
"description": "Name",
"type": "string",
"example": "John Doe"
},
"ip": {
"description": "IP",
"type": "string",
"example": "192.168.1.1"
},
"browser_details": {
"description": "browser details",
"properties": {
"browser_accept_header": {
"description": "browser_accept_header",
"type": "string",
"example": "text/html"
},
"browser_color_depth": {
"description": "browser_color_depth",
"type": "string",
"example": "24"
},
"browser_language": {
"description": "browser_language",
"type": "string",
"example": "en"
},
"browser_screen_height": {
"description": "browser_screen_height",
"type": "string",
"example": "1080"
},
"browser_screen_width": {
"description": "browser_screen_width",
"type": "string",
"example": "1920"
},
"browser_timezone": {
"description": "browser_timezone",
"type": "string",
"example": "-180"
},
"browser_user_agent": {
"description": "browser_user_agent",
"type": "string",
"example": "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/106.0.0.0 Safari/537.36"
},
"browser_java_enabled": {
"description": "browser_java_enabled",
"type": "string",
"example": "true"
},
"window_height": {
"description": "window_height",
"type": "string",
"example": "1080"
},
"window_width": {
"description": "window_width",
"type": "string",
"example": "1920"
}
},
"type": "object"
}
},
"type": "object"
},
"urls": {
"description": "URLs",
"required": [
"success",
"fail",
"notification"
],
"properties": {
"success": {
"description": "Success URL",
"type": "string",
"example": "https://example.com/success"
},
"fail": {
"description": "Fail URL",
"type": "string",
"example": "https://example.com/fail"
},
"notification": {
"description": "Notification URL",
"type": "string",
"example": "https://example.com/notification"
}
},
"type": "object"
},
"reference": {
"description": "Reference",
"type": "string",
"example": "3d7d949e-94fb-4b8b-bc32-7c7f46bcd638"
},
"card": {
"description": "Card data",
"properties": {
"holder": {
"description": "Cardholder name",
"type": "string",
"example": "John Doe"
},
"number": {
"description": "Card number",
"type": "string",
"example": "4242424242424242"
},
"expiration": {
"description": "Expiration date",
"type": "string",
"example": "12/29"
},
"cvv": {
"description": "CVV/CVC",
"type": "string",
"example": "123"
}
},
"type": "object"
},
"metadata": {
"description": "Metadata",
"properties": {
"key1": {
"type": "string",
"example": "value1"
},
"key2": {
"type": "string",
"example": "value2"
}
},
"type": "object"
}
},
"type": "object"
}
Responses
{
"data": {
"id": "10f3146f-f8e0-4f9a-b719-125fe814752a"
}
}
Schema of the response body
{
"properties": {
"data": {
"description": "The response data",
"type": "array",
"items": {}
}
},
"type": "object",
"example": {
"data": {
"id": "10f3146f-f8e0-4f9a-b719-125fe814752a"
}
}
}
{
"message": "Wrong data",
"data": []
}
Schema of the response body
{
"properties": {
"message": {
"description": "The error message",
"type": "string"
},
"data": {
"description": "The response data",
"type": "array",
"items": {}
}
},
"type": "object",
"example": {
"message": "Wrong data",
"data": []
}
}
GET /v1/payment/{payment_id}
Description
Get payment data
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
bearerAuth |
header | string | N/A | No | Authorization token is the 'Secret key' found in API settings. It is a Bearer token, t.i. it should be specified in the header value like this: `Authorization: Bearer {token value}` |
payment_id |
path | string | No | Payment ID |
Responses
{
"data": {
"payment_id": "1eb64f9b-142f-451a-9a32-8f32d4a08c02",
"amount": "10.03",
"currency": "USD",
"status": "success",
"reference": "3d7d949e-94fb-4b8b-bc32-7c7f46bcd638",
"metadata": {
"key1": "value1",
"key2": "value2"
},
"message": "Sandbox: Accepted",
"paymentProvider": "Sandbox",
"transactions": [
{
"uuid": "673623d2-63e2-4e37-ab32-2dc901c40a24",
"payment_id": "1eb64f9b-142f-451a-9a32-8f32d4a08c02",
"pid": "673623d2-63e2-4e37-ab32-2dc901c40a24",
"amount": "10.03",
"paid_amount": "10.03",
"init_amount": "10.03",
"currency": "USD",
"init_currency": "USD",
"rate": 1,
"status": "success",
"payment_method": 11111,
"message": "Sandbox: Accepted",
"card": {
"id": "050159eb-6af3-407c-84c0-ca1680711a77",
"hash": "71b016d24784e30df78aff7bb3c5c2bf6166ba60751bf5a1edd867fb015808610a2571cef7d53429175e4bf7d46d98c8e96d2d1bd0624213b6c7e5a240460418",
"mask": "411111****1111",
"country": "UA",
"brand": "MASTERCARD",
"bank": "PUBLIC JOINT-STOCK COMPANY COMMERCIAL BANK PRIVATBANK",
"icon": "cc-mastercard",
"level": "STANDARD",
"type": "DEBIT",
"website": "",
"phone": ""
},
"cascade": null,
"config": "Sandbox-config",
"additionalData": []
}
]
}
}
Schema of the response body
{
"properties": {
"data": {
"description": "The response data",
"type": "array",
"items": {}
}
},
"type": "object",
"example": {
"data": {
"payment_id": "1eb64f9b-142f-451a-9a32-8f32d4a08c02",
"amount": "10.03",
"currency": "USD",
"status": "success",
"reference": "3d7d949e-94fb-4b8b-bc32-7c7f46bcd638",
"metadata": {
"key1": "value1",
"key2": "value2"
},
"message": "Sandbox: Accepted",
"paymentProvider": "Sandbox",
"transactions": [
{
"uuid": "673623d2-63e2-4e37-ab32-2dc901c40a24",
"payment_id": "1eb64f9b-142f-451a-9a32-8f32d4a08c02",
"pid": "673623d2-63e2-4e37-ab32-2dc901c40a24",
"amount": "10.03",
"paid_amount": "10.03",
"init_amount": "10.03",
"currency": "USD",
"init_currency": "USD",
"rate": 1,
"status": "success",
"payment_method": 11111,
"message": "Sandbox: Accepted",
"card": {
"id": "050159eb-6af3-407c-84c0-ca1680711a77",
"hash": "71b016d24784e30df78aff7bb3c5c2bf6166ba60751bf5a1edd867fb015808610a2571cef7d53429175e4bf7d46d98c8e96d2d1bd0624213b6c7e5a240460418",
"mask": "411111****1111",
"country": "UA",
"brand": "MASTERCARD",
"bank": "PUBLIC JOINT-STOCK COMPANY COMMERCIAL BANK PRIVATBANK",
"icon": "cc-mastercard",
"level": "STANDARD",
"type": "DEBIT",
"website": "",
"phone": ""
},
"cascade": null,
"config": "Sandbox-config",
"additionalData": []
}
]
}
}
}
GET /v1/payment/by-reference/{reference}
Description
Get payment data by reference
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
bearerAuth |
header | string | N/A | No | Authorization token is the 'Secret key' found in API settings. It is a Bearer token, t.i. it should be specified in the header value like this: `Authorization: Bearer {token value}` |
reference |
path | string | No | Payment reference |
Responses
{
"data": {
"payment_id": "1eb64f9b-142f-451a-9a32-8f32d4a08c02",
"amount": "10.03",
"currency": "USD",
"status": "success",
"reference": "3d7d949e-94fb-4b8b-bc32-7c7f46bcd638",
"metadata": {
"key1": "value1",
"key2": "value2"
},
"message": "Sandbox: Accepted",
"paymentProvider": "Sandbox",
"transactions": [
{
"uuid": "673623d2-63e2-4e37-ab32-2dc901c40a24",
"payment_id": "1eb64f9b-142f-451a-9a32-8f32d4a08c02",
"pid": "673623d2-63e2-4e37-ab32-2dc901c40a24",
"amount": "10.03",
"paid_amount": "10.03",
"init_amount": "10.03",
"currency": "USD",
"init_currency": "USD",
"rate": 1,
"status": "success",
"payment_method": 11111,
"message": "Sandbox: Accepted",
"card": {
"id": "050159eb-6af3-407c-84c0-ca1680711a77",
"hash": "71b016d24784e30df78aff7bb3c5c2bf6166ba60751bf5a1edd867fb015808610a2571cef7d53429175e4bf7d46d98c8e96d2d1bd0624213b6c7e5a240460418",
"mask": "411111****1111",
"country": "UA",
"brand": "MASTERCARD",
"bank": "PUBLIC JOINT-STOCK COMPANY COMMERCIAL BANK PRIVATBANK",
"icon": "cc-mastercard",
"level": "STANDARD",
"type": "DEBIT",
"website": "",
"phone": ""
},
"cascade": null,
"config": "Sandbox-config",
"additionalData": []
}
]
}
}
Schema of the response body
{
"properties": {
"data": {
"description": "The response data",
"type": "array",
"items": {}
}
},
"type": "object",
"example": {
"data": {
"payment_id": "1eb64f9b-142f-451a-9a32-8f32d4a08c02",
"amount": "10.03",
"currency": "USD",
"status": "success",
"reference": "3d7d949e-94fb-4b8b-bc32-7c7f46bcd638",
"metadata": {
"key1": "value1",
"key2": "value2"
},
"message": "Sandbox: Accepted",
"paymentProvider": "Sandbox",
"transactions": [
{
"uuid": "673623d2-63e2-4e37-ab32-2dc901c40a24",
"payment_id": "1eb64f9b-142f-451a-9a32-8f32d4a08c02",
"pid": "673623d2-63e2-4e37-ab32-2dc901c40a24",
"amount": "10.03",
"paid_amount": "10.03",
"init_amount": "10.03",
"currency": "USD",
"init_currency": "USD",
"rate": 1,
"status": "success",
"payment_method": 11111,
"message": "Sandbox: Accepted",
"card": {
"id": "050159eb-6af3-407c-84c0-ca1680711a77",
"hash": "71b016d24784e30df78aff7bb3c5c2bf6166ba60751bf5a1edd867fb015808610a2571cef7d53429175e4bf7d46d98c8e96d2d1bd0624213b6c7e5a240460418",
"mask": "411111****1111",
"country": "UA",
"brand": "MASTERCARD",
"bank": "PUBLIC JOINT-STOCK COMPANY COMMERCIAL BANK PRIVATBANK",
"icon": "cc-mastercard",
"level": "STANDARD",
"type": "DEBIT",
"website": "",
"phone": ""
},
"cascade": null,
"config": "Sandbox-config",
"additionalData": []
}
]
}
}
}
PUT /v1/payment/{payment_id}/void
Description
Void payment
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
bearerAuth |
header | string | N/A | No | Authorization token is the 'Secret key' found in API settings. It is a Bearer token, t.i. it should be specified in the header value like this: `Authorization: Bearer {token value}` |
payment_id |
path | string | No | Payment ID |
Responses
PUT /v1/payment/{payment_id}/capture
Description
Capture payment
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
bearerAuth |
header | string | N/A | No | Authorization token is the 'Secret key' found in API settings. It is a Bearer token, t.i. it should be specified in the header value like this: `Authorization: Bearer {token value}` |
payment_id |
path | string | No | Payment ID |
Responses
GET /v1/payment/list
Description
Get payment list
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
bearerAuth |
header | string | N/A | No | Authorization token is the 'Secret key' found in API settings. It is a Bearer token, t.i. it should be specified in the header value like this: `Authorization: Bearer {token value}` |
page |
query | number | No | Page |
Responses
{
"data": [
{
"payment_id": "35327139-843c-485d-b8db-e011e407d5a0",
"amount": 10,
"currency": "HKD",
"status": "pending",
"reference": "bcea9877-976b-47d4-b578-ad179f62a27b",
"metadata": {
"key1": "value1",
"key2": "value2"
},
"url": "http://provider.examle/billing/35327139-843c-485d-b8db-e011e407d5a0",
"method": "get",
"paymentProvider": "Sandbox 3",
"transactions": [
{
"uuid": "ffa2b3d1-5365-4b07-ad39-8ca14ff36254",
"payment_id": "35327139-843c-485d-b8db-e011e407d5a0",
"amount": 1.28,
"init_amount": 10,
"currency": "EUR",
"init_currency": "HKD",
"rate": 0.125082,
"status": "pending",
"payment_method": 11111,
"message": null,
"card": {
"mask": "411111****1111",
"country": "US",
"brand": "VISA",
"bank": "JPMORGAN CHASE BANK, N.A.",
"icon": "cc-visa"
},
"cascade": null,
"config": "Sandbox 3"
}
]
}
]
}
Schema of the response body
{
"properties": {
"data": {
"description": "The response data",
"type": "array",
"items": {}
}
},
"type": "object",
"example": {
"data": [
{
"payment_id": "35327139-843c-485d-b8db-e011e407d5a0",
"amount": 10,
"currency": "HKD",
"status": "pending",
"reference": "bcea9877-976b-47d4-b578-ad179f62a27b",
"metadata": {
"key1": "value1",
"key2": "value2"
},
"url": "http://provider.examle/billing/35327139-843c-485d-b8db-e011e407d5a0",
"method": "get",
"paymentProvider": "Sandbox 3",
"transactions": [
{
"uuid": "ffa2b3d1-5365-4b07-ad39-8ca14ff36254",
"payment_id": "35327139-843c-485d-b8db-e011e407d5a0",
"amount": 1.28,
"init_amount": 10,
"currency": "EUR",
"init_currency": "HKD",
"rate": 0.125082,
"status": "pending",
"payment_method": 11111,
"message": null,
"card": {
"mask": "411111****1111",
"country": "US",
"brand": "VISA",
"bank": "JPMORGAN CHASE BANK, N.A.",
"icon": "cc-visa"
},
"cascade": null,
"config": "Sandbox 3"
}
]
}
]
}
}
Payment methods
GET /v1/payment-method/list
Description
Get payment methods
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
bearerAuth |
header | string | N/A | No | Authorization token is the 'Secret key' found in API settings. It is a Bearer token, t.i. it should be specified in the header value like this: `Authorization: Bearer {token value}` |
Responses
{
"data": [
{
"id": "101",
"title": "Cards International",
"countries": [
"US",
"GB",
"FR"
],
"currencies": [
"USD",
"EUR"
]
},
{
"id": "102",
"title": "Alipay",
"countries": [
"CN"
],
"currencies": [
"CNY"
]
}
]
}
Schema of the response body
{
"properties": {
"data": {
"description": "The response data",
"type": "array",
"items": {}
}
},
"type": "object",
"example": {
"data": [
{
"id": "101",
"title": "Cards International",
"countries": [
"US",
"GB",
"FR"
],
"currencies": [
"USD",
"EUR"
]
},
{
"id": "102",
"title": "Alipay",
"countries": [
"CN"
],
"currencies": [
"CNY"
]
}
]
}
}
Receivers
POST /v1/receiver/create-page
Description
Create a hosted Receiver page. Production return and notification URLs must use HTTPS. The notification callback succeeds only on HTTP 200.
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
bearerAuth |
header | string | N/A | No | Authorization token is the 'Secret key' found in API settings. It is a Bearer token, t.i. it should be specified in the header value like this: `Authorization: Bearer {token value}` |
Request body
{
"withdrawal_method_id": 22222,
"receiver_id": "9ae7f739-61a7-4fa7-a8c4-891678aab898",
"email": "[email protected]",
"urls": {
"return": "https://merchant.example/return",
"notification": "https://merchant.example/receiver-callback"
}
}
Schema of the request body
{
"required": [
"withdrawal_method_id",
"urls"
],
"properties": {
"withdrawal_method_id": {
"type": "integer",
"minimum": 1,
"example": 22222
},
"receiver_id": {
"nullable": true,
"description": "Optional active Receiver UUID",
"type": "string",
"format": "uuid",
"pattern": "^[0-9a-f]{8}-[0-9a-f]{4}-4[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$"
},
"email": {
"nullable": true,
"type": "string",
"format": "email",
"maxLength": 254,
"example": "[email protected]"
},
"urls": {
"required": [
"return",
"notification"
],
"properties": {
"return": {
"type": "string",
"format": "uri",
"maxLength": 2048,
"example": "https://merchant.example/return"
},
"notification": {
"type": "string",
"format": "uri",
"maxLength": 2048,
"example": "https://merchant.example/receiver-callback"
}
},
"type": "object",
"additionalProperties": false
}
},
"type": "object",
"additionalProperties": false
}
Responses
{
"data": {
"url": "https://api.example/receiver/opaque-token",
"method": "get"
}
}
Schema of the response body
{
"required": [
"data"
],
"properties": {
"data": {
"$ref": "#/components/schemas/ReceiverCreatePageData"
}
},
"type": "object"
}
{
"message": "Verification error",
"data": null
}
Schema of the response body
{
"required": [
"data",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Verification error"
},
"data": {
"description": "Validation errors object or an empty array for HTTP exceptions",
"oneOf": [
{
"type": "object"
},
{
"type": "array",
"items": {
"type": "string"
},
"maxItems": 0
}
]
}
},
"type": "object"
}
{
"message": "Verification error",
"data": null
}
Schema of the response body
{
"required": [
"data",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Verification error"
},
"data": {
"description": "Validation errors object or an empty array for HTTP exceptions",
"oneOf": [
{
"type": "object"
},
{
"type": "array",
"items": {
"type": "string"
},
"maxItems": 0
}
]
}
},
"type": "object"
}
{
"message": "Verification error",
"data": null
}
Schema of the response body
{
"required": [
"data",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Verification error"
},
"data": {
"description": "Validation errors object or an empty array for HTTP exceptions",
"oneOf": [
{
"type": "object"
},
{
"type": "array",
"items": {
"type": "string"
},
"maxItems": 0
}
]
}
},
"type": "object"
}
{
"message": "Verification error",
"data": null
}
Schema of the response body
{
"required": [
"data",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Verification error"
},
"data": {
"description": "Validation errors object or an empty array for HTTP exceptions",
"oneOf": [
{
"type": "object"
},
{
"type": "array",
"items": {
"type": "string"
},
"maxItems": 0
}
]
}
},
"type": "object"
}
{
"message": "Verification error",
"data": null
}
Schema of the response body
{
"required": [
"data",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Verification error"
},
"data": {
"description": "Validation errors object or an empty array for HTTP exceptions",
"oneOf": [
{
"type": "object"
},
{
"type": "array",
"items": {
"type": "string"
},
"maxItems": 0
}
]
}
},
"type": "object"
}
Response headers
| Name | Description | Schema |
|---|---|---|
Retry-After |
Seconds until retry | integer |
{
"message": "Verification error",
"data": null
}
Schema of the response body
{
"required": [
"data",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Verification error"
},
"data": {
"description": "Validation errors object or an empty array for HTTP exceptions",
"oneOf": [
{
"type": "object"
},
{
"type": "array",
"items": {
"type": "string"
},
"maxItems": 0
}
]
}
},
"type": "object"
}
GET /v1/receiver
Description
List active Receivers by exact normalized email. Information is always masked.
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
bearerAuth |
header | string | N/A | No | Authorization token is the 'Secret key' found in API settings. It is a Bearer token, t.i. it should be specified in the header value like this: `Authorization: Bearer {token value}` |
email |
query | string | No | ||
page |
query | integer | 1 | No | |
per_page |
query | integer | 20 | No |
Responses
{
"data": [
{
"id": "95bd0b0e-b41f-4db4-87cd-ef9cf135a515",
"email": "cu***@example.com",
"information": {
"cardNumber": "444433******1111",
"cardHolder": "I*** P***"
}
}
],
"pagination": {
"current_page": 1,
"per_page": 20,
"first_page": 1,
"last_page": 1,
"total": 0,
"next_page": null,
"prev_page": null
}
}
Schema of the response body
{
"required": [
"data",
"pagination"
],
"properties": {
"data": {
"type": "array",
"items": {
"$ref": "#/components/schemas/ReceiverMasked"
}
},
"pagination": {
"$ref": "#/components/schemas/ReceiverPagination"
}
},
"type": "object"
}
{
"message": "Verification error",
"data": null
}
Schema of the response body
{
"required": [
"data",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Verification error"
},
"data": {
"description": "Validation errors object or an empty array for HTTP exceptions",
"oneOf": [
{
"type": "object"
},
{
"type": "array",
"items": {
"type": "string"
},
"maxItems": 0
}
]
}
},
"type": "object"
}
{
"message": "Verification error",
"data": null
}
Schema of the response body
{
"required": [
"data",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Verification error"
},
"data": {
"description": "Validation errors object or an empty array for HTTP exceptions",
"oneOf": [
{
"type": "object"
},
{
"type": "array",
"items": {
"type": "string"
},
"maxItems": 0
}
]
}
},
"type": "object"
}
{
"message": "Verification error",
"data": null
}
Schema of the response body
{
"required": [
"data",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Verification error"
},
"data": {
"description": "Validation errors object or an empty array for HTTP exceptions",
"oneOf": [
{
"type": "object"
},
{
"type": "array",
"items": {
"type": "string"
},
"maxItems": 0
}
]
}
},
"type": "object"
}
{
"message": "Verification error",
"data": null
}
Schema of the response body
{
"required": [
"data",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Verification error"
},
"data": {
"description": "Validation errors object or an empty array for HTTP exceptions",
"oneOf": [
{
"type": "object"
},
{
"type": "array",
"items": {
"type": "string"
},
"maxItems": 0
}
]
}
},
"type": "object"
}
{
"message": "Verification error",
"data": null
}
Schema of the response body
{
"required": [
"data",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Verification error"
},
"data": {
"description": "Validation errors object or an empty array for HTTP exceptions",
"oneOf": [
{
"type": "object"
},
{
"type": "array",
"items": {
"type": "string"
},
"maxItems": 0
}
]
}
},
"type": "object"
}
Response headers
| Name | Description | Schema |
|---|---|---|
Retry-After |
Seconds until retry | integer |
{
"message": "Verification error",
"data": null
}
Schema of the response body
{
"required": [
"data",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Verification error"
},
"data": {
"description": "Validation errors object or an empty array for HTTP exceptions",
"oneOf": [
{
"type": "object"
},
{
"type": "array",
"items": {
"type": "string"
},
"maxItems": 0
}
]
}
},
"type": "object"
}
GET /v1/receiver/{uuid}
Description
Get one active Receiver. Missing, foreign and disabled Receivers share the same 404.
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
bearerAuth |
header | string | N/A | No | Authorization token is the 'Secret key' found in API settings. It is a Bearer token, t.i. it should be specified in the header value like this: `Authorization: Bearer {token value}` |
uuid |
path | string | No |
Responses
{
"data": {
"id": "95bd0b0e-b41f-4db4-87cd-ef9cf135a515",
"email": "cu***@example.com",
"information": {
"cardNumber": "444433******1111",
"cardHolder": "I*** P***"
}
}
}
Schema of the response body
{
"required": [
"data"
],
"properties": {
"data": {
"$ref": "#/components/schemas/ReceiverMasked"
}
},
"type": "object"
}
{
"message": "Verification error",
"data": null
}
Schema of the response body
{
"required": [
"data",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Verification error"
},
"data": {
"description": "Validation errors object or an empty array for HTTP exceptions",
"oneOf": [
{
"type": "object"
},
{
"type": "array",
"items": {
"type": "string"
},
"maxItems": 0
}
]
}
},
"type": "object"
}
{
"message": "Verification error",
"data": null
}
Schema of the response body
{
"required": [
"data",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Verification error"
},
"data": {
"description": "Validation errors object or an empty array for HTTP exceptions",
"oneOf": [
{
"type": "object"
},
{
"type": "array",
"items": {
"type": "string"
},
"maxItems": 0
}
]
}
},
"type": "object"
}
{
"message": "Verification error",
"data": null
}
Schema of the response body
{
"required": [
"data",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Verification error"
},
"data": {
"description": "Validation errors object or an empty array for HTTP exceptions",
"oneOf": [
{
"type": "object"
},
{
"type": "array",
"items": {
"type": "string"
},
"maxItems": 0
}
]
}
},
"type": "object"
}
{
"message": "Verification error",
"data": null
}
Schema of the response body
{
"required": [
"data",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Verification error"
},
"data": {
"description": "Validation errors object or an empty array for HTTP exceptions",
"oneOf": [
{
"type": "object"
},
{
"type": "array",
"items": {
"type": "string"
},
"maxItems": 0
}
]
}
},
"type": "object"
}
{
"message": "Verification error",
"data": null
}
Schema of the response body
{
"required": [
"data",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Verification error"
},
"data": {
"description": "Validation errors object or an empty array for HTTP exceptions",
"oneOf": [
{
"type": "object"
},
{
"type": "array",
"items": {
"type": "string"
},
"maxItems": 0
}
]
}
},
"type": "object"
}
Response headers
| Name | Description | Schema |
|---|---|---|
Retry-After |
Seconds until retry | integer |
{
"message": "Verification error",
"data": null
}
Schema of the response body
{
"required": [
"data",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Verification error"
},
"data": {
"description": "Validation errors object or an empty array for HTTP exceptions",
"oneOf": [
{
"type": "object"
},
{
"type": "array",
"items": {
"type": "string"
},
"maxItems": 0
}
]
}
},
"type": "object"
}
POST /v1/receiver/{uuid}/disable
Description
Idempotently disable a Receiver. Missing and foreign Receivers share the same 404.
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
bearerAuth |
header | string | N/A | No | Authorization token is the 'Secret key' found in API settings. It is a Bearer token, t.i. it should be specified in the header value like this: `Authorization: Bearer {token value}` |
uuid |
path | string | No |
Responses
{
"data": {
"id": "95bd0b0e-b41f-4db4-87cd-ef9cf135a515",
"status": "disabled"
}
}
Schema of the response body
{
"required": [
"data"
],
"properties": {
"data": {
"$ref": "#/components/schemas/ReceiverDisableData"
}
},
"type": "object"
}
{
"message": "Verification error",
"data": null
}
Schema of the response body
{
"required": [
"data",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Verification error"
},
"data": {
"description": "Validation errors object or an empty array for HTTP exceptions",
"oneOf": [
{
"type": "object"
},
{
"type": "array",
"items": {
"type": "string"
},
"maxItems": 0
}
]
}
},
"type": "object"
}
{
"message": "Verification error",
"data": null
}
Schema of the response body
{
"required": [
"data",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Verification error"
},
"data": {
"description": "Validation errors object or an empty array for HTTP exceptions",
"oneOf": [
{
"type": "object"
},
{
"type": "array",
"items": {
"type": "string"
},
"maxItems": 0
}
]
}
},
"type": "object"
}
{
"message": "Verification error",
"data": null
}
Schema of the response body
{
"required": [
"data",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Verification error"
},
"data": {
"description": "Validation errors object or an empty array for HTTP exceptions",
"oneOf": [
{
"type": "object"
},
{
"type": "array",
"items": {
"type": "string"
},
"maxItems": 0
}
]
}
},
"type": "object"
}
{
"message": "Verification error",
"data": null
}
Schema of the response body
{
"required": [
"data",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Verification error"
},
"data": {
"description": "Validation errors object or an empty array for HTTP exceptions",
"oneOf": [
{
"type": "object"
},
{
"type": "array",
"items": {
"type": "string"
},
"maxItems": 0
}
]
}
},
"type": "object"
}
{
"message": "Verification error",
"data": null
}
Schema of the response body
{
"required": [
"data",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Verification error"
},
"data": {
"description": "Validation errors object or an empty array for HTTP exceptions",
"oneOf": [
{
"type": "object"
},
{
"type": "array",
"items": {
"type": "string"
},
"maxItems": 0
}
]
}
},
"type": "object"
}
Response headers
| Name | Description | Schema |
|---|---|---|
Retry-After |
Seconds until retry | integer |
{
"message": "Verification error",
"data": null
}
Schema of the response body
{
"required": [
"data",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Verification error"
},
"data": {
"description": "Validation errors object or an empty array for HTTP exceptions",
"oneOf": [
{
"type": "object"
},
{
"type": "array",
"items": {
"type": "string"
},
"maxItems": 0
}
]
}
},
"type": "object"
}
Refunds
POST /v1/refund/create
Description
Create refund
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
bearerAuth |
header | string | N/A | No | Authorization token is the 'Secret key' found in API settings. It is a Bearer token, t.i. it should be specified in the header value like this: `Authorization: Bearer {token value}` |
Request body
{
"reference": "3d7d949e-94fb-4b8b-bc32-7c7f46bcd638",
"payment_id": "3d7d949e-94fb-4b8b-bc32-7c7f46bcd638",
"amount": "10.03",
"currency": "USD"
}
Schema of the request body
{
"required": [
"reference",
"amount",
"currency"
],
"properties": {
"reference": {
"description": "Reference",
"type": "string",
"example": "3d7d949e-94fb-4b8b-bc32-7c7f46bcd638"
},
"payment_id": {
"description": "Payment ID",
"type": "string",
"example": "3d7d949e-94fb-4b8b-bc32-7c7f46bcd638"
},
"amount": {
"description": "Amount",
"type": "number",
"example": "10.03"
},
"currency": {
"description": "Currency code ISO 4217",
"type": "string",
"example": "USD"
}
},
"type": "object"
}
Responses
{
"data": {
"refund_id": "10f3146f-f8e0-4f9a-b719-125fe814752a"
}
}
Schema of the response body
{
"properties": {
"data": {
"description": "The response data",
"type": "array",
"items": {}
}
},
"type": "object",
"example": {
"data": {
"refund_id": "10f3146f-f8e0-4f9a-b719-125fe814752a"
}
}
}
{
"message": "Wrong data",
"data": []
}
Schema of the response body
{
"properties": {
"message": {
"description": "The error message",
"type": "string"
},
"data": {
"description": "The response data",
"type": "array",
"items": {}
}
},
"type": "object",
"example": {
"message": "Wrong data",
"data": []
}
}
GET /v1/refund/{refund_id}
Description
Get refund data
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
bearerAuth |
header | string | N/A | No | Authorization token is the 'Secret key' found in API settings. It is a Bearer token, t.i. it should be specified in the header value like this: `Authorization: Bearer {token value}` |
refund_id |
path | string | No | Refund ID |
Responses
{
"data": {
"id": "101",
"status": "pending",
"amount": 10.16,
"currency": "EUR",
"cstomer": {
"email": "[email protected]",
"name": "John Doe"
}
}
}
Schema of the response body
{
"properties": {
"data": {
"description": "The response data",
"type": "array",
"items": {}
}
},
"type": "object",
"example": {
"data": {
"id": "101",
"status": "pending",
"amount": 10.16,
"currency": "EUR",
"cstomer": {
"email": "[email protected]",
"name": "John Doe"
}
}
}
}
Withdrawals
POST /v1/withdrawal/create-mass
Description
Create mass withdrawals
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
bearerAuth |
header | string | N/A | No | Authorization token is the 'Secret key' found in API settings. It is a Bearer token, t.i. it should be specified in the header value like this: `Authorization: Bearer {token value}` |
Request body
[
{
"reference": "3d7d949e-94fb-4b8b-bc32-7c7f46bcd638",
"amount": "10.03",
"currency": "USD",
"withdrawal_method_id": "22222",
"receiver": null,
"urls": {
"notification": "https://example.com/withdrawal/notification"
}
}
]
Schema of the request body
{
"type": "array",
"items": {
"required": [
"reference",
"amount",
"currency",
"withdrawal_method_id",
"receiver",
"urls"
],
"properties": {
"reference": {
"description": "Reference",
"type": "string",
"example": "3d7d949e-94fb-4b8b-bc32-7c7f46bcd638"
},
"amount": {
"description": "Amount",
"type": "number",
"example": "10.03"
},
"currency": {
"description": "Currency code ISO 4217",
"type": "string",
"example": "USD"
},
"withdrawal_method_id": {
"description": "ID of withdrawal method",
"type": "number",
"example": "22222"
},
"receiver": {
"description": "Reusable Receiver UUID or backward-compatible raw fields",
"oneOf": [
{
"$ref": "#/components/schemas/WithdrawalReceiverById"
},
{
"$ref": "#/components/schemas/WithdrawalRawReceiver"
}
]
},
"urls": {
"description": "required urls",
"properties": {
"notification": {
"description": "Notification URL",
"type": "string",
"example": "https://example.com/withdrawal/notification"
}
},
"type": "object"
}
},
"type": "object"
}
}
Responses
{
"data": {
"status": "in progress",
"stack_id": "b81bf802-2d89-4acd-bc60-53853a185760"
}
}
Schema of the response body
{
"properties": {
"data": {
"description": "The response data",
"properties": {
"status": {
"type": "string",
"example": "in progress"
},
"stack_id": {
"type": "string",
"format": "uuid",
"example": "b81bf802-2d89-4acd-bc60-53853a185760"
}
},
"type": "object"
}
},
"type": "object",
"example": {
"data": {
"status": "in progress",
"stack_id": "b81bf802-2d89-4acd-bc60-53853a185760"
}
}
}
{
"message": "Wrong data",
"data": []
}
Schema of the response body
{
"properties": {
"message": {
"description": "The error message",
"type": "string"
},
"data": {
"description": "The response data",
"type": "array",
"items": {}
}
},
"type": "object",
"example": {
"message": "Wrong data",
"data": []
}
}
POST /v1/withdrawal/create
Description
Create a withdrawal
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
bearerAuth |
header | string | N/A | No | Authorization token is the 'Secret key' found in API settings. It is a Bearer token, t.i. it should be specified in the header value like this: `Authorization: Bearer {token value}` |
Request body
{
"reference": "3d7d949e-94fb-4b8b-bc32-7c7f46bcd638",
"amount": "10.03",
"currency": "USD",
"withdrawal_method_id": "22222",
"receiver": null,
"urls": {
"notification": "https://example.com/withdrawal/notification"
}
}
Schema of the request body
{
"required": [
"reference",
"amount",
"currency",
"withdrawal_method_id",
"receiver",
"urls"
],
"properties": {
"reference": {
"description": "Your internal ID",
"type": "string",
"example": "3d7d949e-94fb-4b8b-bc32-7c7f46bcd638"
},
"amount": {
"description": "Amount",
"type": "number",
"example": "10.03"
},
"currency": {
"description": "Currency code ISO 4217",
"type": "string",
"example": "USD"
},
"withdrawal_method_id": {
"description": "ID of withdrawal method",
"type": "number",
"example": "22222"
},
"receiver": {
"description": "Reusable Receiver UUID or backward-compatible raw fields",
"oneOf": [
{
"$ref": "#/components/schemas/WithdrawalReceiverById"
},
{
"$ref": "#/components/schemas/WithdrawalRawReceiver"
}
]
},
"urls": {
"description": "Required urls",
"properties": {
"notification": {
"description": "Notification URL",
"type": "string",
"example": "https://example.com/withdrawal/notification"
}
},
"type": "object"
}
},
"type": "object"
}
Responses
{
"data": {
"uuid": "fe7b021b-9022-4ecf-8bfd-66e70235e3c4",
"pid": "cbda88af-fd90-4970-9634-fa165dfcc508",
"reference": "3d7d949e-94fb-4b8b-bc32-7c7f46bcd638",
"status": "success",
"amount": "10.03",
"currency": "USD",
"message": {}
}
}
Schema of the response body
{
"properties": {
"data": {
"$ref": "#/components/schemas/WithdrawalPublicData"
}
},
"type": "object"
}
GET /v1/withdrawal/{stack_id}
Description
Get withdrawal data
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
bearerAuth |
header | string | N/A | No | Authorization token is the 'Secret key' found in API settings. It is a Bearer token, t.i. it should be specified in the header value like this: `Authorization: Bearer {token value}` |
stack_id |
path | string | No | Withdrawal stack ID |
Responses
{
"data": [
{
"uuid": "fe7b021b-9022-4ecf-8bfd-66e70235e3c4",
"pid": "cbda88af-fd90-4970-9634-fa165dfcc508",
"reference": "e8fcaa75-00fc-4aed-a7f0-fabf4bafe15d",
"status": "success",
"amount": "10.03",
"currency": "USD",
"message": {
"message": "Transfer completed"
}
},
{
"uuid": "e8fcaa75-00fc-4aed-a7f0-fabf4bafe15d",
"pid": null,
"reference": "fe7b021b-9022-4ecf-8bfd-66e70235e3c4",
"status": "fail",
"amount": "10.03",
"currency": null,
"message": {
"currency": [
"Incorrect currency"
],
"WithdrawalMethod": [
"Method is not found",
"Method is not found"
]
}
}
]
}
Schema of the response body
{
"properties": {
"data": {
"description": "The response data",
"type": "array",
"items": {
"$ref": "#/components/schemas/WithdrawalPublicData"
}
}
},
"type": "object",
"example": {
"data": [
{
"uuid": "fe7b021b-9022-4ecf-8bfd-66e70235e3c4",
"pid": "cbda88af-fd90-4970-9634-fa165dfcc508",
"reference": "e8fcaa75-00fc-4aed-a7f0-fabf4bafe15d",
"status": "success",
"amount": "10.03",
"currency": "USD",
"message": {
"message": "Transfer completed"
}
},
{
"uuid": "e8fcaa75-00fc-4aed-a7f0-fabf4bafe15d",
"pid": null,
"reference": "fe7b021b-9022-4ecf-8bfd-66e70235e3c4",
"status": "fail",
"amount": "10.03",
"currency": null,
"message": {
"currency": [
"Incorrect currency"
],
"WithdrawalMethod": [
"Method is not found",
"Method is not found"
]
}
}
]
}
}
GET /v1/withdrawal/by-reference/{reference}
Description
Get a withdrawal by reference
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
bearerAuth |
header | string | N/A | No | Authorization token is the 'Secret key' found in API settings. It is a Bearer token, t.i. it should be specified in the header value like this: `Authorization: Bearer {token value}` |
reference |
path | string | No | Withdrawal reference |
Responses
{
"data": {
"uuid": "fe7b021b-9022-4ecf-8bfd-66e70235e3c4",
"pid": "cbda88af-fd90-4970-9634-fa165dfcc508",
"reference": "3d7d949e-94fb-4b8b-bc32-7c7f46bcd638",
"status": "success",
"amount": "10.03",
"currency": "USD",
"message": {}
}
}
Schema of the response body
{
"properties": {
"data": {
"$ref": "#/components/schemas/WithdrawalPublicData"
}
},
"type": "object"
}
GET /v1/withdrawal/by-id/{id}
Description
Get a withdrawal by ID
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
bearerAuth |
header | string | N/A | No | Authorization token is the 'Secret key' found in API settings. It is a Bearer token, t.i. it should be specified in the header value like this: `Authorization: Bearer {token value}` |
id |
path | string | No | Withdrawal ID |
Responses
{
"data": {
"uuid": "fe7b021b-9022-4ecf-8bfd-66e70235e3c4",
"pid": "cbda88af-fd90-4970-9634-fa165dfcc508",
"reference": "3d7d949e-94fb-4b8b-bc32-7c7f46bcd638",
"status": "success",
"amount": "10.03",
"currency": "USD",
"message": {}
}
}
Schema of the response body
{
"properties": {
"data": {
"$ref": "#/components/schemas/WithdrawalPublicData"
}
},
"type": "object"
}
Withdrawal methods
GET /v1/withdrawal-method/list
Description
Get withdrawal methods
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
bearerAuth |
header | string | N/A | No | Authorization token is the 'Secret key' found in API settings. It is a Bearer token, t.i. it should be specified in the header value like this: `Authorization: Bearer {token value}` |
Responses
{
"data": [
{
"id": 22222,
"title": "BeezyyCashier (Sandbox)",
"currencies": [
"USD",
"EUR",
"UAH",
"GBP",
"SEK"
],
"fields": [
{
"name": "cardNumber",
"title": "card number"
},
{
"name": "cardHolder",
"title": "card holder"
},
{
"name": "email",
"title": "email"
}
]
}
]
}
Schema of the response body
{
"properties": {
"data": {
"description": "The response data",
"type": "array",
"items": {}
}
},
"type": "object",
"example": {
"data": [
{
"id": 22222,
"title": "BeezyyCashier (Sandbox)",
"currencies": [
"USD",
"EUR",
"UAH",
"GBP",
"SEK"
],
"fields": [
{
"name": "cardNumber",
"title": "card number"
},
{
"name": "cardHolder",
"title": "card holder"
},
{
"name": "email",
"title": "email"
}
]
}
]
}
}
Schemas
ReceiverCompletionCallback
| Name | Type | Description |
|---|---|---|
email |
string(email) | |
event_id |
string(uuid) | Also sent as Idempotency-Key |
id |
string(uuid) | Public Receiver UUID |
information |
Example: {'cardHolder': 'IVAN PETROV'} |
Allowlisted fields collected by the hosted form; security-code fields are excluded. |
ReceiverCreatePageData
| Name | Type | Description |
|---|---|---|
method |
string | |
url |
string(uri) | Hosted page URL containing an opaque token |
ReceiverCreatePageRequest
| Name | Type | Description |
|---|---|---|
email |
string(email) | null | |
receiver_id |
string(uuid) | null | Optional active Receiver UUID |
urls |
Properties: return, notification |
|
withdrawal_method_id |
integer |
ReceiverDisableData
| Name | Type | Description |
|---|---|---|
id |
string(uuid) | |
status |
string |
ReceiverErrorResponse
| Name | Type | Description |
|---|---|---|
data |
Validation errors object or an empty array for HTTP exceptions | |
message |
string |
ReceiverMasked
| Name | Type | Description |
|---|---|---|
email |
string | |
id |
string(uuid) | |
information |
ReceiverMaskedInformation |
ReceiverMaskedInformation
ReceiverPagination
| Name | Type | Description |
|---|---|---|
current_page |
integer | |
first_page |
integer | |
last_page |
integer | |
next_page |
integer | null | |
per_page |
integer | |
prev_page |
integer | null | |
total |
integer |
WithdrawalPublicData
| Name | Type | Description |
|---|---|---|
amount |
string | null | Amount of the withdrawal |
currency |
string | null | Currency of the withdrawal |
message |
Message related to the withdrawal | |
pid |
string | null | PID of the withdrawal |
reference |
string | null | Reference of the withdrawal |
status |
string | Status of the withdrawal |
uuid |
string | UUID of the withdrawal |
WithdrawalRawReceiver
WithdrawalReceiverById
| Name | Type | Description |
|---|---|---|
id |
string(uuid) | Public Receiver UUID |
Security schemes
| Name | Type | Scheme | Description |
|---|---|---|---|
| bearerAuth | http | bearer | Authorization token is the 'Secret key' found in API settings. It is a Bearer token, t.i. it should be specified in the header value like this: `Authorization: Bearer {token value}` |